The Nextedy RISKSHEET was tested with Polarion  19.1, 20.*, in general, we support Polarion 19.1+

In case we change that, we will notify you in advance.